import { ComponentFixture, TestBed } from '@angular/core/testing';

import { LoadBalancerDetailsPoolsComponent } from './load-balancer-details-pools.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';

describe('LoadBalancerDetailsPoolsComponent', () => {
  let component: LoadBalancerDetailsPoolsComponent;
  let fixture: ComponentFixture<LoadBalancerDetailsPoolsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [LoadBalancerDetailsPoolsComponent],
      imports: [HttpClientTestingModule, RouterTestingModule],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(LoadBalancerDetailsPoolsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
